org.bdgenomics.adam.rdd.read

# FlagStatMetrics

###
Related Docs: object FlagStatMetrics | package read

#### case class FlagStatMetrics(total: Long, duplicatesPrimary: DuplicateMetrics, duplicatesSecondary: DuplicateMetrics, mapped: Long, pairedInSequencing: Long, read1: Long, read2: Long, properlyPaired: Long, withSelfAndMateMapped: Long, singleton: Long, withMateMappedToDiffChromosome: Long, withMateMappedToDiffChromosomeMapQ5: Long, failedQuality: Boolean) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FlagStatMetrics
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FlagStatMetrics(total: Long, duplicatesPrimary: DuplicateMetrics, duplicatesSecondary: DuplicateMetrics, mapped: Long, pairedInSequencing: Long, read1: Long, read2: Long, properlyPaired: Long, withSelfAndMateMapped: Long, singleton: Long, withMateMappedToDiffChromosome: Long, withMateMappedToDiffChromosomeMapQ5: Long, failedQuality: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(that: FlagStatMetrics): FlagStatMetrics

4. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val duplicatesPrimary: DuplicateMetrics

8. #### val duplicatesSecondary: DuplicateMetrics

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### val failedQuality: Boolean

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val mapped: Long

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val pairedInSequencing: Long

19. #### val properlyPaired: Long

20. #### val read1: Long

21. #### val read2: Long

22. #### val singleton: Long

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### val total: Long

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### val withMateMappedToDiffChromosome: Long

29. #### val withMateMappedToDiffChromosomeMapQ5: Long

30. #### val withSelfAndMateMapped: Long

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped